<?php
$query=mysqli_query($con,"SELECT * , DATE_FORMAT(`ven_fecha`,'%d-%m-%Y') as ven_fecha FROM ventas where ven_id='$ven_id' and empresa='$empresa' ");
$roww=mysqli_fetch_array($query);
$ven_cc=$roww['ven_cc'];
$estado_dian=$roww['estado_dian'];
$Cliente_clie_id=$roww['Cliente_clie_id'];
$ven_nombre=$roww['ven_nombre'];
$ven_fecha=$roww['ven_fecha'];
$ven_prefijo=$roww['ven_prefijo']; 
$ven_n_venta=$roww['ven_n_venta']; 
$ven_forma_de_pago=$roww['ven_forma_de_pago'];
$ven_dias=$roww['ven_dias'];
$cufe=$roww['cufe'];
$vendedor=$roww['vendedor'];
$ven_tipo=$roww['ven_tipo'];
$observaciones=$roww['observaciones'];
$ven_ser_id=$roww['ven_ser_id'];

$resol=mysqli_query($con,"SELECT * FROM serie_factura where ser_id='$ven_ser_id' ") or die(mysqli_error($con)); 
$res=mysqli_fetch_array($resol);
$ser_inicio=$res['ser_inicio'];
$ser_resolucion=$res['ser_resolucion'];
$ser_fecha=$res['ser_fecha'];
$ser_fin=$res['ser_fin'];
$ser_fecha_ven=$res['ser_fecha_ven'];

$dir=mysqli_query($con,"SELECT * FROM cliente where clie_id='$Cliente_clie_id'") or die(mysqli_error($con)); 
$dire=mysqli_fetch_array($dir);
$clie_dv=$dire['clie_dv'];
$clie_empresa=$dire['clie_empresa'];
$clie_direccion=$dire['clie_direccion'];
$clie_correo=$dire['clie_correo'];
$clie_departamento=$dire['clie_departamento'];
$clie_ciudad=$dire['clie_ciudad'];
$clie_telefono=$dire['clie_telefono'];

$name_departameto='';
$dep=mysqli_query($api,"SELECT * from departments where id='$clie_departamento'");
if($depa=mysqli_fetch_array($dep)){
$name_departameto=$depa['name']; }

$name_ciudad='';
$ciu=mysqli_query($api,"SELECT * from municipalities where id='$clie_ciudad'");
if($ciud=mysqli_fetch_array($ciu)) {
$name_ciudad=$ciud['name']; }

$sql3=mysqli_query($con,"SELECT * from usuario where usu_id='$vendedor'");
$usu=mysqli_fetch_array($sql3);
$usu_nombre=$usu['usu_nombre'];

$vence=strtotime($ven_fecha."+ ".$ven_dias." days");
date("Y-m-d",$vence) . "\n";
$hasta=date("d-m-Y",$vence) . "\n";
 

$ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_venta where empresa='$empresa' and ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
$rets=mysqli_fetch_array($ret);
$total_retencion=$rets['ret_importe'];

$subtotal_art=0;
$descuento_art=0;
$iva_art=0;
$sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
while ($row=mysqli_fetch_array($sql))
{
    $vend_id=$row['vend_id'];
    $vend_art_id=$row['vend_art_id'];
    $vend_referencia=$row['vend_referencia'];
    $vend_nombre=$row['vend_nombre'];
    $vend_unidad=$row['vend_unidad'];
    $vend_cantidad=$row['vend_cantidad'];
    $vend_precio=$row['vend_precio'];
    if ($row['vend_iva']>0){ $vend_iva=$row['vend_iva']; } else { $vend_iva='0';}
    if ($row['vend_desc']>0){ $vend_descuento=$row['vend_desc']; } else { $vend_descuento='0';}
    $iva0=$vend_iva/100; //0.19
    $iva1=1+$iva0; //1.19

    $precio_unit_sin_iva_item=($vend_precio/$iva1); //precio sin iva  840.336
    $precio_total_sin_iva_item=($vend_precio/$iva1)*$vend_cantidad; //precio sin iva  840.336
    $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
    $total_iva_item=($precio_total_sin_iva_item-$descuento_item)*$iva0; // total iva  159.336

    $subtotal_art+=$precio_total_sin_iva_item;
    $descuento_art+=$descuento_item;
    $iva_art+=$total_iva_item;

}

$subtotal_com=0;
$descuento_com=0;
$iva_com=0;
$sql=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
while ($row1=mysqli_fetch_array($sql))
{
    $combo_referencia=$row1["combo_referencia"];
    $combo_nombre=$row1['combo_nombre'];       
    $combo_cantidad=$row1["combo_cantidad"];
    $combo_precio=$row1['combo_precio'];
    if ($row1['combo_iva']>0){ $combo_iva=$row1['combo_iva']; } else { $combo_iva='0';}
    if ($row1['combo_desc']>0){ $combo_desc=$row1['combo_desc']; } else { $combo_desc='0';}
    $com_iva0=$combo_iva/100; //0.19
    $com_iva1=1+$com_iva0; //1.19

    $precio_total_sin_iva_und_com=($combo_precio/$com_iva1); //precio sin iva  840.336 unidad

    $precio_total_sin_iva_item_com=($combo_precio/$com_iva1)*$combo_cantidad; //precio sin iva  840.336
    $descuento_item_com=($combo_desc/100)*$precio_total_sin_iva_item_com; //descuento_item 84.033
    $total_iva_item_com=($precio_total_sin_iva_item_com-$descuento_item_com)*$com_iva0; // total iva  159.336

    $subtotal_com+=$precio_total_sin_iva_item_com;
    $descuento_com+=$descuento_item_com;
    $iva_com+=$total_iva_item_com;
}
$subtotal_global=$subtotal_art+$subtotal_com;
$descuento_global=$descuento_art+$descuento_com;
$iva_global=$iva_art+$iva_com;

$sumador_total=(($subtotal_global-$descuento_global)+$iva_global)-$total_retencion;

$dir = '../../temp/';
if (!file_exists($dir))
    mkdir($dir);
$filename = $dir.'test.png';
$numfac=$ven_prefijo.$ven_n_venta;//numero de factura
$fecfac=$ven_fecha;//fecha de facturas
$nitfac=$emp_nit;//nit de empresa
$docadq=$ven_cc;//documento del clienta
$valfac=round($subtotal_global,2);//neto
$valiva=round($iva_global,2);//iva
$valotroim=round($descuento_global,2);//descuento
$valfaclm=round($sumador_total,2);//total
$cufe=$cufe;//cufe
$tamaño = 10; //Tamaño de Pixel
$level = 'L'; //Precisión Baja
$framSize = 3; //Tamaño en blanco
$contenido = 'NumFac: '.$numfac.PHP_EOL.'FecFac: '.$fecfac.PHP_EOL.'NitFac: '.$nitfac.PHP_EOL.'DocAdq: '.$docadq.PHP_EOL.'ValFac: '.$valfac.PHP_EOL.'ValIva: '.$valiva.PHP_EOL.'ValOtroIm: '.$valotroim.PHP_EOL.'ValTotal: '.$valfaclm.PHP_EOL.'CUFE: '.$cufe.PHP_EOL.'https://catalogo-vpfe.dian.gov.co/document/searchqr?documentkey='.$cufe; //Texto

QRcode::png($contenido, $filename, $level, $tamaño, $framSize); 
$qr=$dir.basename($filename);


$sql_items=mysqli_query($con,"SELECT (SELECT COUNT(*) FROM venta_detalle WHERE ventas_ven_id='$ven_id') + (SELECT COUNT(*) FROM venta_detalle_combo WHERE ven_id='$ven_id') AS total_items");
$row_items=mysqli_fetch_array($sql_items);
$total_items=$row_items['total_items'];

?>